/**
 * Currency
 */
var DEFINE_CURRENCY =  ['USD', 'EUR', 'GBP', 'CHF', 'RUB', 'CNY', 'HKD', 'TWD', 'JPY', 'SGD', 'INR', 'AUD', 'MXN', 'BRL'];


/**
 * Currency rate
 */
var DEFINE_CURRENCY_RATE =  [
    1, //USD
    0.816, //EUR
    0.637, //GBP
    0.979, //CHF
    31.855, //RUB
    6.372, //CNY
    7.756, //HKD
    29.974, //TWD
    78.598, //JPY
    1.254, //SGD
    55.200, //INR
    0.961, //AUD
    13.224, //MXN
    2.012 //BRL
];

/**
 * Area
 */
var DEFINE_AREA = [
    '',
    'North America',
    'South America',
    'Europe and Russia',
    'East Asia',
    'Oceania, Southeast Asia and India'
];

/**
 * City
 */
var DEFINE_CITY = [
    [],
    [
        '',
        'Canada (Toronto)',
        'Canada (Vancouver)',
        'USA (Chicago)',
        'USA (Dallas)',
        'USA (Los Angeles)',
        'USA (Miami)',
        'USA (New York)',
        'USA (San Francisco)'
    ],
    [
        '',
        'Brazil (Sao Paulo)',
        'Chile (Santiago)',
        'Colombia (Bogota)',
        'Mexico (Mexico City)',
        'Panama (Panama City)'
    ],
    [
        '',
        'Austria (Vienna)',
        'Belgium (Brussels)',
        'Czech Republic (Prague)',
        'Denmark (Copenhagen)',
        'France (Paris)',
        'Germany (Dusseldorf)',
        'Germany (Frankfurt)',
        'Germany (Hamburg)',
        'Hungary (Budapest)',
        'Italy (Milan)',
        'Netherlands (Amsterdam)',
        'Norway (Oslo)',
        'Poland (Warsaw)',
        'Romania (Bucharest)',
        'Russia (Moscow)',
        'Russia (Saint&nbsp;Petersburg)',
        'Spain (Madrid)',
        'Sweden (Stockholm)',
        'Switzerland (Zurich)',
        'Ukraine (Kiev)',
        'United Kingdom (London)',
    ],
    [
        '',
        'China (Beijing)',
        'China (Chengdu)',
        'China (Dalian)',
        'China (Guangzhou)',
        'China (Shanghai)',
        'China (Shenzhen)',
        'China (Wuhan)',
        'China (Xian)',
        'Hong Kong',
        'Japan (Fukuoka)',
        'Japan (Nagoya)',
        'Japan (Osaka)',
        'Japan (Tokyo)',
        'Korea (Seoul)',
        'Taipei'
    ],
    [
        '',
        'Australia (Sydney)',
        'India (Bangalore)',
        'India (Delhi)',
        'India (Mumbai)',
        'Indonesia (Jakarta)',
        'Malaysia (Kuala Lumpur)',
        'New Zealand (Wellington)',
        'Philippines (Manila)',
        'Singapore (Singapore)',
        'Thailand (Bangkok)',
        'Vietnam (Ho&nbsp;Chi&nbsp;Minh&nbsp;City)'
    ]
];


/**
 * Point
 */
var DEFINE_POINT = [
    [],
    //North America
    [
        [],
        [43.631804,-79.397295],
        [49.193554,-123.181136],
        [41.976609,-87.905152],
        [32.843719,-96.85078],
        [33.943496,-118.408872],
        [25.795003,-80.279138],
        [40.643844,-73.782305],
        [37.61711,-122.383103]
    ],
    //South America
    [
        [],
        [-23.626112,-46.65639],
        [-33.390556,-70.785832],
        [4.700095,-74.143813],
        [19.436101,-99.071944],
        [9.069991,-79.383613],
    ],
    //Europe and Russia
    [
        [],
        [48.121779,16.563317],
        [50.903547,4.489535],
        [50.102134,14.265111],
        [55.628739,12.645964],
        [49.009716,2.547777],
        [51.278324,6.765577],
        [50.037533,8.560949],
        [53.635571,9.994219],
        [47.432727,19.261133],
        [45.451442,9.273695],
        [52.309066,4.763386],
        [60.19396,11.099096],
        [52.165828,20.967219],
        [44.502285,26.101536],
        [55.413882,37.897599],
        [59.798141,30.268304],
        [40.493062,-3.568988],
        [59.355554,17.945813],
        [47.451983,8.565624],
        [50.341238,30.895204],
        [51.469597,-0.453572]
    ],
    //East Asia
    [
        [],
        [40.075389,116.592136],
        [30.579175,103.958524],
        [38.962404,121.544285],
        [23.386143,113.302968],
        [31.193893,121.346349],
        [22.645933,113.819161],
        [30.773024,114.213221],
        [34.441055,108.760346],
        [22.315418,113.934861],
        [33.595854,130.448498],
        [34.85895,136.814539],
        [34.434885,135.244387],
        [35.773549,140.388241],
        [37.448731,126.451159],
        [25.076385,121.22389]
    ],
    //Oceania, Southeast Asia and India
    [
        [],
        [-33.936057,151.166317],
        [12.950229,77.668823],
        [28.555694,77.08537],
        [19.095284,72.874632],
        [-6.12513,106.658446],
        [2.754361,101.701298],
        [-41.329083,174.811602],
        [14.509596,121.012508],
        [1.356135,103.989117],
        [13.683768,100.750208],
        [10.817215,106.657779]
    ]
];
